org.appng.core.controller.messaging

## Class JedisBase

- java.lang.Object
- - org.appng.core.controller.messaging.JedisBase

- Direct Known Subclasses:
    JedisReceiver, JedisSender

      public class JedisBase
      extends Object

  Base class for Jedis messaging
  Author:
    Claus Stümke, aiticon GmbH, 2015

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `channel`
    `protected Serializer` | `eventSerializer`
    `protected String` | `host`
    `protected String` | `password`
    `protected int` | `port`
    `protected static String` | `REDIS_MESSAGING_CHANNEL`
    `protected static String` | `REDIS_MESSAGING_HOST`
    `protected static String` | `REDIS_MESSAGING_PASSWORD`
    `protected static String` | `REDIS_MESSAGING_PORT`
    `protected static String` | `REDIS_MESSAGING_TIMEOUT`
    `protected int` | `timeout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JedisBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `redis.clients.jedis.Jedis` | `getJedis()`
    `protected void` | `initialize()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### REDIS_MESSAGING_PASSWORD

          protected static final String REDIS_MESSAGING_PASSWORD

      See Also:
        Constant Field Values

    - #### REDIS_MESSAGING_CHANNEL

          protected static final String REDIS_MESSAGING_CHANNEL

      See Also:
        Constant Field Values

    - #### REDIS_MESSAGING_TIMEOUT

          protected static final String REDIS_MESSAGING_TIMEOUT

      See Also:
        Constant Field Values

    - #### REDIS_MESSAGING_HOST

          protected static final String REDIS_MESSAGING_HOST

      See Also:
        Constant Field Values

    - #### REDIS_MESSAGING_PORT

          protected static final String REDIS_MESSAGING_PORT

      See Also:
        Constant Field Values

    - #### eventSerializer

          protected Serializer eventSerializer

    - #### host

          protected String host

    - #### channel

          protected String channel

    - #### password

          protected String password

    - #### port

          protected int port

    - #### timeout

          protected int timeout

  - ### Constructor Detail

    - #### JedisBase

          public JedisBase()

  - ### Method Detail

    - #### initialize

          protected void initialize()

    - #### getJedis

          public redis.clients.jedis.Jedis getJedis()

Copyright © 2011–2023 aiticon GmbH. All rights reserved.